Page MenuHomePhabricator

No orange-bar-of-doom when a message is posted on a user talk page using Flow
Closed, ResolvedPublic

Description

Reported here. I've seen that by myself too: when I have a new message on my talk page, I do not have the OBOD.

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 16 2016, 9:54 AM

No, this is not related. This has never worked, because the OBOD only appears for edit-user-talk messages. It has become more noticeable recently because we started rendering Flow notifications about your user talk page differently.

In order to fix this, we'd at least need for the user-talk-related Flow notifications to be their own types. We need that for the alert/messages re-sort as well, and we don't have a task for it yet, so I'll create one.

Catrope assigned this task to KMuthu.Oct 6 2016, 12:28 AM

It looks like some of our code uses the edit-user-talk category, and some of it uses the edit-user-talk type to decide whether to have something trigger/untrigger the OBOD. So if we use the category consistently, then fixing T133220: Sort out Notification categories to make them more logical for Preferences will fix this bug as a side-effect.

Change 315730 had a related patch set uploaded (by Kmuthu):
Show orange alert when message is posted on flow

https://gerrit.wikimedia.org/r/315730

Change 315740 had a related patch set uploaded (by Kmuthu):
Show orange alert when the message is posted on flow

https://gerrit.wikimedia.org/r/315740

A few questions to reassure me: do you take the actual OBOD preference into account?

Change 315730 merged by jenkins-bot:
Show orange alert and provide hook

https://gerrit.wikimedia.org/r/315730

Etonkovidova added a subscriber: Etonkovidova.EditedOct 25 2016, 12:24 AM

Checked in betalabs - OBOD is shown when flow-usertalk* are present.

Checked in wmf. 23.

Framawiki closed this task as Resolved.Oct 31 2016, 5:17 PM

Today it works for me on frwiki, thanks all.

Change 315740 merged by jenkins-bot:
Hide orange alert when the user is viewing a topic page related to their user talk page

https://gerrit.wikimedia.org/r/315740